Issue-state can't set to done if state of one subissue is not set to done

2018-01-12 11:12 - Entwicklung AMIT

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 3.4.3

Description

Workflow:

There is an error in the workflow to set the state of an issue to "done" if there exists subtasks with a state which is not set to "done".

State of an issue can't be set to state "done" if the state of one subtask do not have the state "done".

Ticket-configuration:

This takes effect independent of the current configuration for ticket-properties according to the option for properties of superior tasks

and there the option "%done" is set to "independent to subtasks".

Environment:

  Redmine version                3.4.3.stable

  Ruby version                   2.3.3-p222 (2016-11-21) [i386-mingw32]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.9.2

  Git                            2.14.1

  Filesystem

Related issues:

Related to Redmine - Feature #10989: Prevent parent issue from being closed i... Closed

History

#1 - 2018-01-13 01:52 - Go MAEDA

- Category changed from Issues workflow to Issues

- Status changed from New to Closed

- Priority changed from Urgent to Normal

- Resolution set to Wont fix

It is the intended behavior since Redmine 3.4.0. Please refer to #10989. It is logically incorrect to be able to close a parent task which has open

subtasks.

#2 - 2018-01-13 01:53 - Go MAEDA

- Related to Feature #10989: Prevent parent issue from being closed if a child issue is open added

#3 - 2018-01-13 13:08 - Toshi MARUYAMA

- Description updated

#4 - 2018-01-15 10:48 - Entwicklung AMIT

- File Configuration_Administration_Tickets.bmp added

- Status changed from Closed to Reopened

Your explanation about closing is:

It is the intended behavior since Redmine 3.4.0. Please refer to #10989. It is logically incorrect to be able to close a parent task which has open
subtasks.

But what's about the configuration of tickets-properties used for, if it is possible to set the ticket-state as "independent to subtasks".

Look to the given screenshot.

Thanks a lot for check it.

#5 - 2018-01-15 13:38 - Go MAEDA

Entwicklung AMIT wrote:

But what's about the configuration of tickets-properties used for, if it is possible to set the ticket-state as "independent to subtasks".

 Setting "%done" in the "Parent tasks attributes" area to "Independent of Subtasks" means that you can manually update the parent task's "% done"

field. The setting relates to only "% done" field and does not relate to any other fields including "Status" field. In other words, it doesn't have any

effects on workflows.

#6 - 2018-01-15 14:08 - Entwicklung AMIT

- File Configuration_Administration_Ticket_StateDone.bmp added

Go MAEDA wrote:

Entwicklung AMIT wrote:

But what's about the configuration of tickets-properties used for, if it is possible to set the ticket-state as "independent to subtasks".

 Setting "%done" in the "Parent tasks attributes" area to "Independent of Subtasks" means that you can manually update the parent task's "%

done" field. The setting relates to only "% done" field and does not relate to any other fields including "Status" field. In other words, it doesn't

have any effects on workflows.

 Manually update the parent task's "% done" field is NOT AVAILABLE if "% done" depends on the value of the field state. Have a look on the

screenshot named "Configuration_Administration_Ticket_StateDone.bmp"

#7 - 2018-01-15 14:57 - Go MAEDA

Entwicklung AMIT wrote:

Manually update the parent task's "% done" field is NOT AVAILABLE if "% done" depends on the value of the field state.

 Yes, because you set the "Calculate the issue done ratio with" to "Use the issue status". It is an expected behavior. The "% done" value is tied to

issue statuses. My previous comment assumes that the value of "Calculate the issue done ratio with" is "Use the issue field".

Anyway, as I mentioned before, "Parent tasks attributes" has no effect on workflows. You cannot close a parent task which has open subtasks.

#8 - 2018-01-15 15:07 - Entwicklung AMIT

Ok thanks I see, so you can close it.

#9 - 2018-01-15 15:10 - Go MAEDA

- Status changed from Reopened to Closed

Files

Configuration_Administration_Tickets.bmp 102 KB 2018-01-15 Entwicklung AMIT

Configuration_Administration_Ticket_StateDone.bmp 83.7 KB 2018-01-15 Entwicklung AMIT

Powered by TCPDF (www.tcpdf.org)

2025-07-07 2/2

http://www.tcpdf.org

